
Redmine - Defect #29454

Error 500 while creating new issue

2018-08-29 11:10 - Eric Perdigau

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 3.0.3

Description

Hi,

I'm sorry to ask for some help but it is quite strange. Today creating new issue get an error 500. Updating issue is working correctly

...

Here is the final line of production.log

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"fi3vATpXgOHqN9DOVEk4CJWrRFBvtKHHPjj1LZLE/2iOtDm

D3LOrKbpscYW4x5KslxDYsOyx0yIecSg9e6xYbw==", "form_update_triggered_by"=>"", "issue"=>{"is_private"

=>"0", "tracker_id"=>"7", "subject"=>"test", "description"=>"", "status_id"=>"1", "priority_id"=>"

2", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"=>"2018-08-29", "due_date"=>"", "esti

mated_hours"=>"", "done_ratio"=>"0", "deals_issue_attributes"=>{"deal_id"=>""}}, "was_default_stat

us"=>"1", "commit"=>"Créer", "project_id"=>"commercial-eric-perdigau"}

  Current user: eric (id=18)

Completed 500 Internal Server Error in 61ms (ActiveRecord: 12.7ms)

NoMethodError (undefined method `after_create' for nil:NilClass):

  app/models/issue.rb:210:in `create_or_update'

  app/controllers/issues_controller.rb:140:in `create'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 And here the environment

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.1

  redmine_checklists             3.1.5

  redmine_ckeditor               1.1.4

  redmine_contacts               4.0.5

  redmine_contacts_invoices      4.1.2

  redmine_favorite_projects      2.0.3

  redmine_knowledgebase          3.2.1

  redmine_people                 1.2.0

  redmine_products               2.0.2

  redminecrm_custom_improvements 1.0.9

 If somebody has a clue it would be great, everything was working fine yesterday, and today not, i tried to find without success

Thanks a lot
History

#1 - 2018-09-01 08:01 - Go MAEDA

- Status changed from New to Needs feedback

Could you test again after uninstalling all plugins?

#2 - 2019-09-08 02:05 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

#3 - 2022-12-13 15:19 - Dimitar (RedmineUP)

Hi Eric,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

  redmine_agile                  1.4.1

  redmine_checklists             3.1.5

  redmine_contacts               4.0.5

  redmine_contacts_invoices      4.1.2

  redmine_favorite_projects      2.0.3

  redmine_people                 1.2.0

  redmine_products               2.0.2

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team
